﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using HttpClient_MVC_Core.Model;
using Microsoft.AspNetCore.Mvc;

using System.Net;
using System.Net.Http;
using Newtonsoft.Json;


namespace HttpClient_MVC_Core
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            //Setting TLS 1.2 protocol
            ServicePointManager.Expect100Continue = true;
            ServicePointManager.SecurityProtocol = SecurityProtocolType.Tls12;

            //Fetch the JSON string from URL.
            List<CustomerModel> customers = new List<CustomerModel>();
            string apiUrl = "https://raw.githubusercontent.com/aspsnippets/test/master/Customers.json";

            HttpClient client = new HttpClient();
            HttpResponseMessage response = client.GetAsync(apiUrl).Result;
            if (response.IsSuccessStatusCode)
            {
                customers = JsonConvert.DeserializeObject<List<CustomerModel>>(response.Content.ReadAsStringAsync().Result);
            }

            //Return the Deserialized JSON object.
            return Json(customers);
        }
    }
}